Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-59488

Cannot change or remove Git client plugin 3.0.0-rc

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Minor
    • Resolution: Duplicate
    • Component/s: git-client-plugin
    • Labels:
      None
    • Environment:
      Jenkins ver. 2.176.3
    • Similar Issues:

      Description

      Vulnerability in Git client plugin 3.0.0-rc cannot be resolved as no other versions show available.

      This is likely due to version 3.0.0-rc being automatically installed when the Jenkins server was initially deployed.

        Attachments

          Issue Links

            Activity

            Hide
            jmclean John McLean added a comment -

            I have worked around this by manually uploading 2.8.6 onto the server. 

            Show
            jmclean John McLean added a comment - I have worked around this by manually uploading 2.8.6 onto the server. 
            Hide
            jmclean John McLean added a comment -

            Reducing to minor bug since there is a workaround.

            Show
            jmclean John McLean added a comment - Reducing to minor bug since there is a workaround.
            Hide
            jmclean John McLean added a comment -

            As a result of the downgrade, I am receiving errors in all builds for Unreadable Data:

            hudson.model.FreeStyleBuild

            CannotResolveClassException: hudson.plugins.git.util.BuildDetails, MissingFieldException: No field 'showEntireCommitSummaryInChanges' found in class 'hudson.plugins.git.GitChangeLogParser'

            Show
            jmclean John McLean added a comment - As a result of the downgrade, I am receiving errors in all builds for Unreadable Data: hudson.model.FreeStyleBuild CannotResolveClassException: hudson.plugins.git.util.BuildDetails, MissingFieldException: No field 'showEntireCommitSummaryInChanges' found in class 'hudson.plugins.git.GitChangeLogParser'
            Hide
            markewaite Mark Waite added a comment -

            Refer to JENKINS-59336 for the alternatives.

            If you are critically dependent on the features that are in git client plugin 3.0.0-rc and git plugin 4.0.0-rc then you'll need to install the pre-release git plugin 4.0.0-beta11 and git client plugin 3.0.0-beta11.

            Most users are probably not critically dependent on the features that are in git client plugin 3.0.0-rc and git plugin 4.0.0-rc. In that case, dismiss the warnings about the missing field exception and continue using Jenkins.

            Show
            markewaite Mark Waite added a comment - Refer to JENKINS-59336 for the alternatives. If you are critically dependent on the features that are in git client plugin 3.0.0-rc and git plugin 4.0.0-rc then you'll need to install the pre-release git plugin 4.0.0-beta11 and git client plugin 3.0.0-beta11. Most users are probably not critically dependent on the features that are in git client plugin 3.0.0-rc and git plugin 4.0.0-rc. In that case, dismiss the warnings about the missing field exception and continue using Jenkins.

              People

              • Assignee:
                Unassigned
                Reporter:
                jmclean John McLean
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: